package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionRutaConf;
import com.rjconsultores.ventaboletos.entidad.ConexionRutaCtrl;
import com.rjconsultores.ventaboletos.vo.conexion.ConexionRutaVO;

public interface ConexionRutaCtrlDAO extends GenericDAO<ConexionRutaCtrl, Long> {

	List<ConexionRutaVO> buscarConexionesValidas();

	List<ConexionRutaVO> buscarConexionesValidas(Integer rutaOrigemId, Integer rutaDestinoId);

	List<ConexionRutaCtrl> buscarPorConexionConf(ConexionRutaConf conexionRutaConf);

}
